<template>
  <h2>Cena: {{ price }} zł.</h2>
  <h2 class="placesTitle">{{ selectedSeatsTitle }}</h2>
  <div v-for="seat in selectedSeats" :key="seat">
    <span class="seat"
      >Rząd: {{ indexRow(seat) }} Kolumna: {{ indexColumn(seat) }}</span
    >
  </div>
</template>

<script setup>
import { computed, defineProps } from "vue";

const props = defineProps(["selectedSeats", "selectedScreening"]);

const selectedSeatsTitle = computed(function () {
  return props.selectedSeats.length === 1
    ? "Wybrane miejsce:"
    : "Wybrane miejsca:";
});
const price = computed(function () {
  return props.selectedSeats.length * 20;
});

function indexColumn(index) {
  return (
    index - (indexRow(index) - 1) * props.selectedScreening.hallColumns + 1
  );
}
function indexRow(index) {
  const row = Math.ceil(index / props.selectedScreening.hallColumns);
  return index % props.selectedScreening.hallColumns === 0 ? row + 1 : row;
}
</script>

<style scoped>
.seat,
h2 {
  margin: 0.5rem 0;
}
.placesTitle {
  margin-bottom: 0;
}
</style>
